OMV 3.x -> 4.x mariaDB GPG-Error when doing apt-get update

    • OMV 4.x
    • Upgrade 3.x -> 4.x

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • OMV 3.x -> 4.x mariaDB GPG-Error when doing apt-get update

      Hi there,

      I made the upgrade to OMV 4 and it went almost flawelessly. But one of my issues is following.
      After upgrading and now executing apt-get update I get this Error message regarding mariaDB:

      W: GPG-Fehler: mirror.netcologne.de/mariadb/repo/10.2/debian stretch InRelease: Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY F1656F24C74CD1D8
      W: The repository 'http://mirror.netcologne.de/mariadb/repo/10.2/debian stretch InRelease' is not signed.
      N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
      N: See apt-secure(8) manpage for repository creation and user configuration details.

      I already tried to import the KEY like it shows here on the mariaDB Page:
      downloads.mariadb.org/mariadb/…tch--stretch&version=10.2

      With the Command Line:

      Source Code

      1. apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 0xF1656F24C74CD1D8



      But I get this following Error executing the command above:

      Source Code

      1. Executing: /tmp/apt-key-gpghome.ODeAHcYijX/gpg.1.sh --recv-keys --keyserver keyserver.ubuntu.com 0xF1656F24C74CD1D8
      2. gpg: keyserver receive failed: Server zeigt einen unbestimmten Fehler an

      I dont get it. It says "Server shows an unknown error" . Thanks for this nice and helping Error Message! XD


      Here my Sources.list after upgrade:

      Source Code

      1. # deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20170731-21:43]/ stretch contrib main non-free
      2. # deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20170731-21:43]/ stretch contrib main non-free
      3. deb http://ftp.de.debian.org/debian/ stretch main
      4. deb-src http://ftp.de.debian.org/debian/ stretch main
      5. deb http://security.debian.org/ stretch/updates main contrib non-free
      6. deb-src http://security.debian.org/ stretch/updates main contrib non-free
      7. # stretch-updates, previously known as 'volatile'
      8. deb http://ftp.de.debian.org/debian/ stretch-updates main contrib non-free
      9. deb-src http://ftp.de.debian.org/debian/ stretch-updates main contrib non-free
      10. deb http://mirror.netcologne.de/mariadb/repo/10.2/debian stretch main
      11. # deb-src [arch=amd64,ppc64el,i386] http://mirror.netcologne.de/mariadb/repo/10.2/debian stretch main
      Display All



      Now I dont know whats wrong here.


      Thank you in advance!
      Ron
    • ronson wrote:

      Or should I deinstall mariadb delete the line in sources-list and reinstall mariaDB from debian Repos?!
      That is what I would do.
      omv 4.1.9 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.9
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!